package cache

import (
	"dc_golang_server_1/logger"
	"go.uber.org/zap"
)

func GetCountyAreaMap(countyID uint32) ([]uint32, bool) {
	var data []uint32

	if v, ok := CountyAreaMap.Load(countyID); ok {
		if data, ok = v.([]uint32); ok {
			return data, true
		} else {
			logger.Log.Error("CountyAreaMap 类型断言错误",
				zap.String("Src", "GetCountyAreaMap"),
				zap.Uint32("countyID", countyID))
		}
	}

	logger.Log.Error("CountyAreaMap 没数据",
		zap.String("Src", "GetCountyAreaMap"),
		zap.Uint32("countyID", countyID))

	return data, false
}
